комппиляция под 9 квик

Страницы: 1
RSS
комппиляция под 9 квик
 
Требуется дать библиотеку для компиляции под квик 9 версии моего скрипта. И показать как компилировать. Раньше делал все на предыдущих версиях LUA, но сейчас не получается.
Связь в телегу @evgche
 
Не очень понятна проблема. Если речь про lua 5.4, то все как обычно - использовать lua54.lib и include h файлы.
 
У меня лежит библиотека luac54 в папке со скриптом

Я компилирую так

luac54.exe -o "C:\\ClassesC\\class.luac" "C:\\Classes\\class.lua"

Но ни фига не выходит. Компилирует, файлы создает, но выводит ошибку

С:\ClassesC\class.luac: version mismatch in precompiled chunk
 
А, речь про компиляцию скрипта. Да, синтаксис такой же.

luac.exe -s - o luac_file_name file_name

Точно запускаете в той же версии? Я иногда забываю нажать список выбора версии lua.
 
Отбой. Извините за беспокойство.  Под Lua 5,3 компилится и пофиг
Страницы: 1
Читают тему (гостей: 1)
Наверх